Name:		perl-Shell
Version:	0.72
Release:	7%{?dist}
Summary:	Run shell commands transparently within perl

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Shell
Source0:	http://search.cpan.org/CPAN/authors/id/F/FE/FERREIRA/Shell-%{version}.tar.gz


BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(constant)
BuildRequires:	perl(File::Spec::Functions)


Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))


%description
This package is included as a show case, illustrating a few Perl features. It
shouldn't be used for production programs. Although it does provide a simple
interface for obtaining the standard output of arbitrary commands, there may be
better ways of achieving what you need.


%prep
%setup -q -n Shell-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.72-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.72-6
- Perl 5.22 rebuild

* Tue Aug 26 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.72-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.72-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.72-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.72-2
- Perl 5.18 rebuild

* Tue Feb 05 2013 Normunds Neimanis <fedorapkg at rule.lv> 0.72-1
- Initial package for Fedora
